Skip to content
Start here

Create webhooks

client.stream.webhooks.update(WebhookUpdateParams { account_id, notificationUrl } params, RequestOptionsoptions?): WebhookUpdateResponse
PUT/accounts/{account_id}/stream/webhook

Creates a webhook notification.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream Write
ParametersExpand Collapse
params: WebhookUpdateParams { account_id, notificationUrl }
account_id: string

Path param: The account identifier tag.

maxLength32
notificationUrl: string

Body param: The URL where webhooks will be sent.

formaturi
ReturnsExpand Collapse
WebhookUpdateResponse = unknown

Create webhooks

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const webhook = await client.stream.webhooks.update({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  notificationUrl: 'https://example.com',
});

console.log(webhook);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}